Transactions
Cancel a transaction
Allows the merchant to cancel a PENDING sale. Any other situation will return an error.
PUT
/
v1.1
/
transactions
/
{saleUUID}
/
void
Cancel a transaction
curl --request PUT \
--url https://api.paymee.com.br/v1.1/transactions/{saleUUID}/void \
--header 'x-api-key: <x-api-key>' \
--header 'x-api-token: <x-api-token>'import requests
url = "https://api.paymee.com.br/v1.1/transactions/{saleUUID}/void"
headers = {
"x-api-key": "<x-api-key>",
"x-api-token": "<x-api-token>"
}
response = requests.put(url, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<x-api-key>', 'x-api-token': '<x-api-token>'}
};
fetch('https://api.paymee.com.br/v1.1/transactions/{saleUUID}/void', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 0,
"message": "success"
}{
"status": 999,
"message": "transaction not PENDING",
"errorCount": 1,
"errors": [
{
"field": "transactionToken",
"message": "invalid transaction situation"
}
]
}{
"errorCount": 1,
"errors": [
{
"error": "Forbidden",
"message": "Access Denied"
}
],
"message": "field validation failure",
"status": -1
}{
"status": 998,
"message": "transaction not found",
"errorCount": 1,
"errors": [
{
"field": "saleToken",
"message": "non-existent transaction"
}
]
}Headers
Example:
"your-x-api-key"
Example:
"your-x-api-token"
Path Parameters
Sale UUID to be cancelled
⌘I
Cancel a transaction

